package com.qmth.paper.library.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 档案管理表
 * </p>
 */
@TableName("paper_archives_course")
public class PaperArchivesCourse extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty(value = "档案id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("paper_archives_id")
    private Long paperArchivesId;

    /**
     * 课程代码
     */
    @TableField("course_code")
    private String courseCode;

    /**
     * 课程名称
     */
    @TableField("course_name")
    private String courseName;

    /**
     * 任课老师
     */
    @TableField("teacher_name")
    private String teacherName;

    /**
     * 教学班
     */
    @TableField("teach_clazz_name")
    private String teachClazzName;

    public PaperArchivesCourse() {
    }

    public PaperArchivesCourse(Long schoolId, Long paperArchivesId, String courseCode, String courseName, String teacherName, String teachClazzName) {
        this.schoolId = schoolId;
        this.paperArchivesId = paperArchivesId;
        this.courseCode = courseCode;
        this.courseName = courseName;
        this.teacherName = teacherName;
        this.teachClazzName = teachClazzName;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getPaperArchivesId() {
        return paperArchivesId;
    }

    public void setPaperArchivesId(Long paperArchivesId) {
        this.paperArchivesId = paperArchivesId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }
}
