package com.qmth.paper.library.business.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 扫描任务表
 * </p>
 */
@TableName("paper_scan_task")
public class PaperScanTask extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty(value = "档案表id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("paper_archives_id")
    private Long paperArchivesId;

    /**
     * 扫描任务名称
     */
    @TableField("scan_task_name")
    private String scanTaskName;

    /**
     * 课程代码
     */
    @TableField("course_code")
    private String courseCode;

    /**
     * 课程名称
     */
    @TableField("course_name")
    private String courseName;


    @ApiModelProperty(value = "扫描员id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "scan_user_id", updateStrategy = FieldStrategy.IGNORED)
    private Long scanUserId;

    @ApiModelProperty(value = "校验员id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "check_user_id", updateStrategy = FieldStrategy.IGNORED)
    private Long checkUserId;

    /**
     * 扫描量
     */
    @TableField(value = "student_count", updateStrategy = FieldStrategy.IGNORED)
    private Integer studentCount;

    /**
     * 已扫描数量
     */
    @TableField(value = "scan_count", updateStrategy = FieldStrategy.IGNORED)
    private Integer scanCount;

    /**
     * 已扫描数量
     */
    @TableField(value = "bind_count", updateStrategy = FieldStrategy.IGNORED)
    private Integer bindCount;

    /**
     * 异常数量
     */
    @TableField(value = "abnormal_count", updateStrategy = FieldStrategy.IGNORED)
    private Integer abnormalCount;

    @TableField(value = "progress")
    private Double progress;

    /**
     * 是否结束
     */
    @TableField("enable")
    private Boolean enable;

    @TableField(exist = false)
    private String archivesName;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getPaperArchivesId() {
        return paperArchivesId;
    }

    public void setPaperArchivesId(Long paperArchivesId) {
        this.paperArchivesId = paperArchivesId;
    }

    public String getScanTaskName() {
        return scanTaskName;
    }

    public void setScanTaskName(String scanTaskName) {
        this.scanTaskName = scanTaskName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Long getScanUserId() {
        return scanUserId;
    }

    public void setScanUserId(Long scanUserId) {
        this.scanUserId = scanUserId;
    }

    public Long getCheckUserId() {
        return checkUserId;
    }

    public void setCheckUserId(Long checkUserId) {
        this.checkUserId = checkUserId;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public Integer getScanCount() {
        return scanCount;
    }

    public void setScanCount(Integer scanCount) {
        this.scanCount = scanCount;
    }

    public Integer getBindCount() {
        return bindCount;
    }

    public void setBindCount(Integer bindCount) {
        this.bindCount = bindCount;
    }

    public Integer getAbnormalCount() {
        return abnormalCount;
    }

    public void setAbnormalCount(Integer abnormalCount) {
        this.abnormalCount = abnormalCount;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Double getProgress() {
        return progress;
    }

    public void setProgress(Double progress) {
        this.progress = progress;
    }

    public String getArchivesName() {
        return archivesName;
    }

    public void setArchivesName(String archivesName) {
        this.archivesName = archivesName;
    }
}
