package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.business.bean.result.PaperLibraryResult;
import com.qmth.paper.library.business.bean.result.PaperScanTaskResult;
import com.qmth.paper.library.business.bean.result.TaskStudentResult;
import com.qmth.paper.library.business.entity.PaperLibrary;
import com.qmth.paper.library.common.enums.RecognitionTypeEnum;

import java.util.List;

/**
 * <p>
 * 图片库 服务类
 * </p>
 */
public interface PaperLibraryService extends IService<PaperLibrary> {

    IPage<PaperScanTaskResult> pageUnbindData(Long semesterId, Long paperArchivesId, String courseCode, String scanTaskName, Integer pageNumber, Integer pageSize);

    IPage<PaperLibraryResult> pageBindData(Long semesterId, Long paperArchivesId, String courseCode, String scanTaskName, Integer pageNumber, Integer pageSize);

    int countBindData(Long paperScanTaskId);

    IPage<PaperLibraryResult> pageAbnormalData(Long semesterId, Long paperArchivesId, String courseCode, String scanTaskName, Integer pageNumber, Integer pageSize);

    boolean bind(Long paperLibraryId, Long paperScanTaskId, Long studentId);

    List<PaperLibraryResult> listStudentPicture(Long paperScanTaskDetailId);

    List<PaperLibraryResult> toAbnormalPaper(Long paperLibraryId);

    List<PaperLibraryResult> toBindPaper(Long paperScanTaskId);

    IPage<TaskStudentResult> listByStudentCode(String studentCode, Integer pageNumber, Integer pageSize);

    int countScanCount(Long paperScanTaskId);

    IPage<TaskStudentResult> pageStudent(Long paperScanTaskId, String param, Integer pageNumber, Integer pageSize);

    List<String> recognition(Long paperLibraryId, Integer index, Integer x, Integer y, Integer width, Integer height, Integer rotate, RecognitionTypeEnum type);

    Boolean abnormal(Long paperLibraryId);

    Integer maxSequence(Long paperScanTaskId);
}
